Utils (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.servlet.utils

## Class Utils

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.servlet.utils.Utils

-     public class Utils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `xmlHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addFetchedBasketId(org.gcube.application.framework.core.session.ASLSession session, int objId)`
    `static String` | `dateFormatter(Date time)`
    `static Collection<String>` | `getAvailableScopes()`
    `static org.gcube.application.framework.core.session.ASLSession` | `getSession(javax.servlet.http.HttpSession httpSession)`
    `static SettingsDescriptor` | `getStats(org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Job job)`
    `static org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Envelope` | `loadCustomizations(org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Envelope toUpdate, String speciesId, org.gcube.application.framework.core.session.ASLSession session)`
    `static org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Job` | `loadSettings(org.gcube.application.framework.core.session.ASLSession session, boolean fetchSpeciesIDs, boolean fetchResources)`
    `static String` | `removeVRE(String currentScope)` Returns the enclosing VO scope in case currentScope is a VRE, otherwise the passed scope itself

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xmlHeader

          public static final String xmlHeader

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Utils

          public Utils()

  - ### Method Detail

    - #### dateFormatter

          public static String dateFormatter(Date time)

    - #### getSession

          public static org.gcube.application.framework.core.session.ASLSession getSession(javax.servlet.http.HttpSession httpSession)
                                                                                    throws Exception

      Throws:
        `Exception`

    - #### addFetchedBasketId

          public static void addFetchedBasketId(org.gcube.application.framework.core.session.ASLSession session,
                                int objId)
                                         throws Exception

      Throws:
        `Exception`

    - #### loadCustomizations

          public static org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Envelope loadCustomizations(org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Envelope toUpdate,
                                                                                                            String speciesId,
                                                                                                            org.gcube.application.framework.core.session.ASLSession session)
                                                                                                                     throws Exception

      Throws:
        `Exception`

    - #### loadSettings

          public static org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Job loadSettings(org.gcube.application.framework.core.session.ASLSession session,
                                                                                                 boolean fetchSpeciesIDs,
                                                                                                 boolean fetchResources)
                                                                                                          throws Exception

      Throws:
        `Exception`

    - #### getStats

          public static SettingsDescriptor getStats(org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Job job)
                                             throws Exception

      Throws:
        `Exception`

    - #### getAvailableScopes

          public static Collection<String> getAvailableScopes()
                                                       throws Exception

      Throws:
        `Exception`

    - #### removeVRE

          public static String removeVRE(String currentScope)

      Returns the enclosing VO scope in case currentScope is a VRE, otherwise the passed scope itself
      Parameters:
        `currentScope` -
      Returns:

Copyright © 2014. All Rights Reserved.